<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: KeysToUIElements Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/daa/class_keys_to_u_i_elements.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">KeysToUIElements Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a658c3ac96255b340c64d36ae25e380bc"><td class="memItemLeft" align="right" valign="top">static private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/daa/class_keys_to_u_i_elements.html#a658c3ac96255b340c64d36ae25e380bc">RegisterKeyToUIElement</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> key_code, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>, <a class="el" href="../../d9/db9/classbool.html">bool</a> is_image_set)</td></tr>
<tr class="separator:a658c3ac96255b340c64d36ae25e380bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92dee9b68dc8c6952141a15b81ce8fd3"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d2/daf/_keys_to_u_i_elements_8c.html#a6184255316a01df154d393b677fd9b71">KeyToUIElement</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/daa/class_keys_to_u_i_elements.html#a92dee9b68dc8c6952141a15b81ce8fd3">GetKeyToUIElement</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> key_code)</td></tr>
<tr class="separator:a92dee9b68dc8c6952141a15b81ce8fd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4144dd9fa63560e1727171914306bc0d"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/daa/class_keys_to_u_i_elements.html#a4144dd9fa63560e1727171914306bc0d">Init</a> ()</td></tr>
<tr class="separator:a4144dd9fa63560e1727171914306bc0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a5029b9ab68dfd066d7794257b5e6ac4b"><td class="memItemLeft" align="right" valign="top">static private ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, ref <a class="el" href="../../d2/daf/_keys_to_u_i_elements_8c.html#a6184255316a01df154d393b677fd9b71">KeyToUIElement</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/daa/class_keys_to_u_i_elements.html#a5029b9ab68dfd066d7794257b5e6ac4b">m_KeysToUIElements</a></td></tr>
<tr class="separator:a5029b9ab68dfd066d7794257b5e6ac4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d2/daf/_keys_to_u_i_elements_8c_source.html#l00009">9</a> of file <a class="el" href="../../d2/daf/_keys_to_u_i_elements_8c_source.html">KeysToUIElements.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a92dee9b68dc8c6952141a15b81ce8fd3" name="a92dee9b68dc8c6952141a15b81ce8fd3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92dee9b68dc8c6952141a15b81ce8fd3">&#9670;&#160;</a></span>GetKeyToUIElement()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d2/daf/_keys_to_u_i_elements_8c.html#a6184255316a01df154d393b677fd9b71">KeyToUIElement</a> KeysToUIElements::GetKeyToUIElement </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>key_code</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/daf/_keys_to_u_i_elements_8c_source.html#l00031">31</a> of file <a class="el" href="../../d2/daf/_keys_to_u_i_elements_8c_source.html">KeysToUIElements.c</a>.</p>

</div>
</div>
<a id="a4144dd9fa63560e1727171914306bc0d" name="a4144dd9fa63560e1727171914306bc0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4144dd9fa63560e1727171914306bc0d">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void KeysToUIElements::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/daf/_keys_to_u_i_elements_8c_source.html#l00042">42</a> of file <a class="el" href="../../d2/daf/_keys_to_u_i_elements_8c_source.html">KeysToUIElements.c</a>.</p>

</div>
</div>
<a id="a658c3ac96255b340c64d36ae25e380bc" name="a658c3ac96255b340c64d36ae25e380bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a658c3ac96255b340c64d36ae25e380bc">&#9670;&#160;</a></span>RegisterKeyToUIElement()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static private void KeysToUIElements::RegisterKeyToUIElement </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>key_code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>is_image_set</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/daf/_keys_to_u_i_elements_8c_source.html#l00013">13</a> of file <a class="el" href="../../d2/daf/_keys_to_u_i_elements_8c_source.html">KeysToUIElements.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a5029b9ab68dfd066d7794257b5e6ac4b" name="a5029b9ab68dfd066d7794257b5e6ac4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5029b9ab68dfd066d7794257b5e6ac4b">&#9670;&#160;</a></span>m_KeysToUIElements</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, ref <a class="el" href="../../d2/daf/_keys_to_u_i_elements_8c.html#a6184255316a01df154d393b677fd9b71">KeyToUIElement</a>&gt; KeysToUIElements::m_KeysToUIElements</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/daf/_keys_to_u_i_elements_8c_source.html#l00011">11</a> of file <a class="el" href="../../d2/daf/_keys_to_u_i_elements_8c_source.html">KeysToUIElements.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/tools/<a class="el" href="../../d2/daf/_keys_to_u_i_elements_8c_source.html">KeysToUIElements.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/daa/class_keys_to_u_i_elements.html">KeysToUIElements</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
